class crmPendingTasksResponse {
  List<PendingTasks>? pendingTasks;
  String? error;
  String? message;

  crmPendingTasksResponse({this.pendingTasks, this.error, this.message});

  crmPendingTasksResponse.fromJson(Map<String, dynamic> json) {
    if (json['pending_tasks'] != null) {
      pendingTasks = <PendingTasks>[];
      json['pending_tasks'].forEach((v) {
        pendingTasks!.add(new PendingTasks.fromJson(v));
      });
    }
    error = json['error'];
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.pendingTasks != null) {
      data['pending_tasks'] =
          this.pendingTasks!.map((v) => v.toJson()).toList();
    }
    data['error'] = this.error;
    data['message'] = this.message;
    return data;
  }
}

class PendingTasks {
  String? conmob;
  String? aname;
  String? appdate;
  String? atype;
  String? anote;
  String? leadid;
  String? lstatus;
  String? lempid;
  String? aid;

  PendingTasks(
      {this.conmob,
        this.aname,
        this.appdate,
        this.atype,
        this.anote,
        this.leadid,
        this.lstatus,
        this.lempid,
        this.aid});

  PendingTasks.fromJson(Map<String, dynamic> json) {
    conmob = json['conmob'];
    aname = json['aname'];
    appdate = json['appdate'];
    atype = json['atype'];
    anote = json['anote'];
    leadid = json['leadid'];
    lstatus = json['lstatus'];
    lempid = json['lempid'];
    aid = json['aid'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['conmob'] = this.conmob;
    data['aname'] = this.aname;
    data['appdate'] = this.appdate;
    data['atype'] = this.atype;
    data['anote'] = this.anote;
    data['leadid'] = this.leadid;
    data['lstatus'] = this.lstatus;
    data['lempid'] = this.lempid;
    data['aid'] = this.aid;
    return data;
  }
}
